Step back and take a breath



  • [B]Warning Long Post[/B]:)
    With any major project there is sure to be glitches. To me, and it seems many on the forum, we have been frustrated with the upgrade from .32 to 1.01. The upgrade wiki makes it seem like a simple 5 step process, but I don’t think it is. So before we jump down each others throats I for one am taking a step back and taking a deep breath.
    Ahhhhh…:cool:

    Like many open source project the developers are doing this out of a sense of community, not for financial gain. I am sure they are hard working and dedicated to the project. But that may be at the core of issues. They are dedicated hard working programmers. Someone needs to be a technical writer who can step back and see things from the prospective of a user.

    Of course to someone spending hours in the code and UI it is obvious that X needs to be done so that Y will work. But to us going from something that worked well for years to something that is not working we get frustrated. The wiki is one short page about upgrading, nothing about tftp, changing config.php files. Try to find a page on doing a fresh install of 1.01 and all I find is a detailed description of how .32 works and how to install it.

    I would suspect that many of us use FOG as an integral part of our jobs, and I know working in education our busy season is upon us. I have a stack of 30 laptops that need FOGGING and about 500 desktop that are waiting behind those. I blocked out about 16 hours to upgrade FOG based on the one page wiki article. I now see that that will not be enough.

    OK so I can complain, but what good does that do? Nothing at all. Complaining and even (what I hope is) constructive criticism without solutions is less than useless. It is demoralizing and takes up everyone’s valuable time. :(

    So in the spirit of open source and community I am offering to do what I do best, educating. I am happy to work with the development team or whoever to write some documentation and maybe create screencasts. As I said earlier FOG is integral to my job and has been for many years. It is time I give something back to the community and the project. If the project team wants my help, please contact me.


  • Developer

    I can confirm Dell E6410’s work with v1.0.1. They work with the new updated kpxe files in [url]https://mastacontrola.com/ipxe/latest-DEFAULT-TEST/undionly.kpxe[/url].

    I have no issues with this right now.



  • My ‘new’ laptops are refurbs. I never purchase brand new stuff. I was able to FOG our Dell E6410 with 0.32. I am still working on getting 1.01 working.


  • Moderator

    have you had any trouble with some new laptops not liking 0.32?
    would be nice to know that they finally like 1.x.x before Monday and I setup mine on XenServer.


  • Developer

    [url]http://fogproject.org/forum/threads/requests-for-wiki-access-ask-here.3811/[/url]
    if you feel you can help with the documentation, feel free to help


Log in to reply
 

423
Online

39.3k
Users

11.0k
Topics

104.3k
Posts

Looks like your connection to FOG Project was lost, please wait while we try to reconnect.